%define	upstream_name    DateTime-TimeZone
%define upstream_version 1.33

# circular dependency
%define _requires_exceptions perl(DateTime)\\|perl(DateTime::Duration)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Epoch:      1

Summary:    Time zone object base class and factory
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Load)
BuildRequires: perl(Class::Singleton) >= 1.30.0
BuildRequires: perl(Cwd) >= 3.0.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(Params::Validate) >= 0.720.0
BuildRequires: perl(Pod::Man) >= 1.140.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(parent)
BuildArch:  noarch

Provides:   perl(DateTime::TimeZoneCatalog)

%description
This perl module defines the base class for all time zone objects. A time zone
is represented internally as a set of observances, each of which describes the
offset from GMT for a given time period.

Note that without the DateTime.pm module, this module does not do much. Its
primary interface is through a DateTime object, and most users will not need to
directly use DateTime::TimeZone methods.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes INSTALL LICENSE META.json META.yml README SIGNATURE
%{perl_vendorlib}/DateTime
%{_mandir}/*/*

%changelog
* Tue Apr 12 2011 jquelin <jquelin> 1:1.330.0-1.mga1
+ Revision: 83754
- update to 1.33

* Sun Apr 03 2011 jquelin <jquelin> 1:1.320.0-1.mga1
+ Revision: 80068
- update to 1.32

* Thu Mar 24 2011 jquelin <jquelin> 1:1.310.0-1.mga1
+ Revision: 76621
- update to 1.31

* Wed Mar 16 2011 jquelin <jquelin> 1:1.300.0-1.mga1
+ Revision: 72334
- update to 1.30

* Wed Mar 09 2011 jquelin <jquelin> 1:1.290.0-1.mga1
+ Revision: 66969
- update to 1.29

* Fri Feb 25 2011 jquelin <jquelin> 1:1.280.0-1.mga1
+ Revision: 59721
- update to 1.28

* Mon Jan 31 2011 dmorgan <dmorgan> 1:1.270.0-1.mga1
+ Revision: 45211
- New version

* Sun Jan 23 2011 jquelin <jquelin> 1:1.260.0-1.mga1
+ Revision: 33704
- mageia rebuild
- imported package perl-DateTime-TimeZone

